MapGetExecutor (Velocity 1.7 API)
Keywords: org.apache.velocity.runtime.parser.node.MapGetExecutor class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.runtime.parser.node
Class MapGetExecutor

    java.lang.Object
      org.apache.velocity.runtime.parser.node.AbstractExecutor
          org.apache.velocity.runtime.parser.node.MapGetExecutor

public class MapGetExecutor
extends AbstractExecutor

GetExecutor that is smart about Maps. If it detects one, it does not use Reflection but a cast to access the getter.

Since:
  1.5
Version:
  $Id: MapGetExecutor.java 799457 2009-07-30 22:10:27Z nbubna $
Author:
  Henning P. Schmiedehausen

Field Summary

Fields inherited from class org.apache.velocity.runtime.parser.node.AbstractExecutor
`log`

Constructor Summary
`MapGetExecutor(Log log, Class clazz, String property)`

Method Summary
`protected void` | `discover(Class clazz)`
`Object` | `execute(Object o)` Execute method against context.

Methods inherited from class org.apache.velocity.runtime.parser.node.AbstractExecutor
`getMethod, isAlive, setMethod`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MapGetExecutor

    public MapGetExecutor(Log log,
                          Class clazz,
                          String property)

Method Detail

### discover

    protected void discover(Class clazz)

### execute

    public Object execute(Object o)

  Description copied from class: `AbstractExecutor`
  Execute method against context.

  Specified by:
    `execute` in class `AbstractExecutor`
  Parameters:
    `o` -
  Returns:
    The resulting object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Apache Software Foundation. All Rights Reserved.